Summary:	Provides support for One Time Passwords (OTP) authentication
Name:		pam_yubico
Version:	2.27
Release:	%mkrel 1
License:	GPLv2
Group:		Yubikey
URL:		https://developers.yubico.com/yubico-pam/
Source0:	https://github.com/Yubico/yubico-pam/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  openldap-devel
BuildRequires:  pam-devel
BuildRequires:  ykclient-devel
BuildRequires:	pkgconfig(ykpers-1)
BuildRequires:	openldap2-devel
BuildRequires:	asciidoc

%description
The Yubico authentication device Yubikey generates one-time passwords that can
be used for authentication. This module allows you to use the Yubikey device to
authenticate to the PAM system.

The Yubico PAM module provides an easy way to integrate the Yubikey into your
existing user authentication infrastructure.

%prep
%setup -qn yubico-pam-%{version}

%build
%serverbuild
autoreconf -vfi
%configure2_5x --with-pam-dir=%{_libdir}/security

%make_build

%install
rm -rf %buildroot
%make_install

# cleanup
rm -f %{buildroot}/%{_libdir}/security/*.*a

%files
%attr(0755,root,root) /%{_libdir}/security/pam_yubico.so
%{_bindir}
%{_datadir}

%changelog
* Wed Jul 27 2022 tex - 2.27-1pclos2022
- import
